      integer     IOSIZ, IOISIZ, IOCSIZ, IOCSZ2
      parameter  (IOSIZ =(MAXDAT+3)*NCON+MAXDAT*(NPX*26+6)+6*NPX+3)
      parameter  (IOISIZ=4*NCON+1)
      parameter  (IOCSIZ=62+NPX+MAXDAT)
      parameter  (IOCSZ2=NPX+MAXDAT)
      real        IO(IOSIZ)
      integer     IOI(IOISIZ)
      character*1 IOC(IOCSIZ)
      data IOI/IOISIZ*0/
      data IOC/50*' ','G','G','L','L','O','O','B','B','A','A','L','L'
     -, IOCSZ2*' '/
